/*
 * Note: Information concerning change history is maintained by the version control system. This information, along with code relationship (e.g. used by, uses,
 * dependencies), is readily available through the Eclipse Integrated Development Environment.
 */

package com.lmco.spacefence.webservices.util;

import java.util.Calendar;
import java.util.TimeZone;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class XmlDatetimeAdapter extends XmlAdapter<String, Calendar> {
    @Override
    public Calendar unmarshal(String value) {
    	System.out.println("***** " + this.getClass() + " unmarshalling String '" + value + "'");
        if (value == null) {
            return null;
        }
        return javax.xml.bind.DatatypeConverter.parseDateTime(value);
    }

    @Override
    public String marshal(Calendar value) {
    	System.out.println("***** " + this.getClass() + " marshalling Calendar '" + value + "'");
        if (value == null) {
            return null;
        }
        value.setTimeZone(TimeZone.getTimeZone("UTC"));
        return javax.xml.bind.DatatypeConverter.printDateTime(value);
    }
}
