/*
 * Note: Information concerning change history is maintained by the version control system. This information, along with code relationship (e.g. used by, uses,
 * dependencies), is readily available through the Eclipse Integrated Development Environment.
 */

package com.lmco.spacefence.webservices.test;

import org.jboss.logging.Logger;

import java.util.Calendar;
import java.util.Date;

import javax.jws.WebService;

import gov.c2ssa.c2ssadomain.spacefence.v2.test.TestType;
import gov.c2ssa.c2ssadomain.spacefence.v2.test.operations.Test;
import gov.c2ssa.c2ssadomain.spacefence.v2.test.operations.TestResponse;
import gov.c2ssa.c2ssadomain.spacefence.v2.test.service.ServiceException;
import gov.c2ssa.c2ssadomain.spacefence.v2.test.service.TestServicePortType;

/**
 * @see gov.c2ssa.c2ssadomain.spacefence.v2.test.service.TestService
 */
@WebService(portName = "TestServicePort",
            serviceName = "TestService",
            endpointInterface = "gov.c2ssa.c2ssadomain.spacefence.v2.test.service.TestServicePortType",
            wsdlLocation = "/wsdl/TestService.wsdl",
            targetNamespace = "http://www.C2SSA.gov/C2SSADomain/SpaceFence/v2/Test/Service")
public class TestServiceImpl
    implements TestServicePortType {

    private static final Logger logger = Logger.getLogger(TestServiceImpl.class);

    public TestResponse test(Test test) throws ServiceException {
        try {
            Date testDate = test.getTestDate();
            logger.info("testDate: " + testDate);
            Calendar testDatetime = test.getTestDatetime();
            logger.info("testDatetime: " + testDatetime);
            TestResponse response = new TestResponse();
            TestType testType = new TestType();
            testType.setResponseDate(testDate);
            testType.setResponseDatetime(testDatetime);
            response.setTestType(testType);

            return response;
        } catch (Exception e) {
            logger.warn("Error testing:" + e.getMessage());
            throw new ServiceException(e.getMessage());
        }
    }
}
